#========================================================================================
# §package      DE_EPAGES::Catalog::DAL::SQL::CategoryProductMap
# §state        private
# §description  Generic SQL database interface for tables:
#               <ul>
#                   <li>categoryproductmap
#               </ul>
#========================================================================================
package DE_EPAGES::Catalog::DAL::SQL::CategoryProductMap;

use strict;

#========================================================================================
# §function     GetProductIDsByCategoryID
# §state        public
#----------------------------------------------------------------------------------------
# §syntax       DE_EPAGES::Catalog::DAL::SQL::CategoryProductMap->GetProductIDsByCategoryID($dbi, $CategoryID);
#----------------------------------------------------------------------------------------
# §description  get affected categoryproductmapids for categoryid
#----------------------------------------------------------------------------------------
# §input        $CategoryID | category id | integer
#========================================================================================
sub GetProductIDsByCategoryID{
    my $self = shift;
    my ($dbi, $CategoryID) = @_;

    die "function not implementet in SQL";
}

#========================================================================================
# §function     RenumberCategoryProductsByCategoryID
# §state        public
#----------------------------------------------------------------------------------------
# §syntax       DE_EPAGES::Catalog::DAL::SQL::CategoryProductMap->RenumberCategoryProductsByCategoryID($dbi, $CategoryID, $StepSize);
#----------------------------------------------------------------------------------------
# §description  renumbers all categoryproductmaps position for a specific category id
#               renumber is done on database for high performance
#----------------------------------------------------------------------------------------
# §input        $CategoryID | category id | integer
# §input        $StepSize | step size e.g. 10 | integer
#========================================================================================
sub RenumberCategoryProductsByCategoryID{
    my $self = shift;
    my ($dbi, $CategoryID, $StepSize) = @_;

    die "function not implementet in SQL";
}

1;
